apt-cacher-ng (3.6.4-1) unstable; urgency=medium

  * New upstream bugfix version
    + fixes rogue closing of wrong file descriptors (closes: #986749)

 -- Eduard Bloch <blade@debian.org>  Sun, 30 May 2021 11:57:35 +0200

apt-cacher-ng (3.6.3-1) unstable; urgency=medium

  * New upstream bugfix version
    + solves a potential SIBGUS situation when doing maintenance work
  * Minor metadata updates (Standards version w/o changes, VCS urls)

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Mar 2021 20:44:28 +0100

apt-cacher-ng (3.6.2-1) unstable; urgency=medium

  * New upstream bugfix version
    + solves another DNS issue where resolv.conf is modified after startup,
      also report most connect errors correctly (now really closes: #982984)
    + solves sporadic hanging of acngtool in the daily cron job
      (closes: #977611)

 -- Eduard Bloch <blade@debian.org>  Wed, 03 Mar 2021 19:20:34 +0100

apt-cacher-ng (3.6.1-1) unstable; urgency=medium

  * New upstream bugfix version
    + Adding Kali repo mapping (closes: #982441)
    + Fix inclusion of ftp2.fr.debian.org and similarly named alternative
      local mirrors into database (closes: #951005)
    + Solving DNS issues on certain systems introduced with the partial switch
      to libevent in 3.6 due to a potential bug of libevent (closes: #983394,
      #982984), also fix the file renaming scheme for stale download introduced
      there (incorrectly triggered in most cases and not only in rare ones,
      also implemented inefficiently)
    + Disable potentially incorrect destruction of cached items (now only
      notifying user) in case of wrong permissions or strange filesystem
      behavior, also shift the truncation to zero size on download start to the
      begin to reduce probability of such issues (Salsa issue #9)
    + Extends/improves security.debian.org mapping, also considering
      deb.debian.net (closes: #944114, #932093, #884881)
  * Dropping alternative Build-Deps on dh-systemd and libsystemd-daemon-dev
    (transitional and/or obsolete, closes: #958624)

 -- Eduard Bloch <blade@debian.org>  Thu, 25 Feb 2021 22:46:45 +0100

apt-cacher-ng (3.6-1) unstable; urgency=low

  * New upstream release with important bugfixes
  * Dropped ancient pidof check from the init script (no bug here but there
    was some complaint on debian-devel a while ago)

 -- Eduard Bloch <blade@debian.org>  Sun, 07 Feb 2021 23:09:13 +0100

apt-cacher-ng (3.5-3) unstable; urgency=low

  * Apply gold disabling flags correctly (now really handles #975137)

 -- Eduard Bloch <blade@debian.org>  Sat, 21 Nov 2020 11:45:52 +0100

apt-cacher-ng (3.5-2) unstable; urgency=medium

  * Disable use of gold linker to avoid linker crash; this has been observed
    on mipsel before and probably also affects amd64 (closes: #975137)

 -- Eduard Bloch <blade@debian.org>  Fri, 20 Nov 2020 19:15:22 +0100

apt-cacher-ng (3.5-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Apr 2020 23:35:50 +0200

apt-cacher-ng (3.4-1) unstable; urgency=low

  * New upstream release
    + potentially closes: #952811
  * Added timeouts to postinst steps which access network

 -- Eduard Bloch <blade@debian.org>  Sun, 05 Apr 2020 18:27:07 +0200

apt-cacher-ng (3.3.1-2) unstable; urgency=high

  * Fixes FTBFS on mipsel/mips64el
  * Fixes missing last-minute changes in actual upstream version 3.3.1

 -- Eduard Bloch <blade@debian.org>  Sun, 19 Jan 2020 21:24:09 +0100

apt-cacher-ng (3.3.1-1) unstable; urgency=medium

  * Bugfix upstream release update
    + (CVE-2020-5202) Enforce secured call to the server in maint job triggering
    + Allow .zst compression for tarballs (closes: Bug#948259, thanks
      to Arnaud Rebillout)
    + Added branch information to Vcs-Git control line (closes: #913594)
    + Hint about not set (by debconf) CacheDir variable in zz_debconf.conf
      (closes: #929031)

 -- Eduard Bloch <blade@debian.org>  Wed, 08 Jan 2020 21:01:26 +0100

apt-cacher-ng (3.3-2) unstable; urgency=low

  * Upload to Sid

 -- Eduard Bloch <blade@debian.org>  Thu, 14 Nov 2019 13:56:58 +0100

apt-cacher-ng (3.3-1) experimental; urgency=low

  * New upstream version v3.3
    Contains a good number of internal changes, including:
    - Alternative fallback scheme for non-primary target connection
      attempts (with default timeout value of 4s, see FastTimeout
      setting). By default, this should help with unstable (blocking) IPv6
      routing where IPv4 is still operational (closes: #942122)
    - RequiresMountsFor directive in systemd service file example with
      additional remarks on keeping this in sync with the config
      (closes: #929035, #942355)
    - PFilePattern extensions for Fedora 29 and 30, by Alan Jenkins,
      closes: #928270, thanks!)
    - VFilePattern extension for Centos8, by Andy Lowther,
      closes: #944143 (thanks!)
    - added very explicit explanation on what "default value" means in the
      acng.conf example (closes: #855995) and also how to print it (with
      acngtool, closes: #914746)
    - Typo in INSTALL file (closes: #913593)
    - In Arch Linux database mirror list, rewrite https URLs to http since
      the official JSON query only returns https versions, also add a
      different source (closes: #942844, thanks!)
  * Make errors on purging of cache folder non-fatal (closes: #915082)
  * Recommends: ca-certificates (closes: #926282)

 -- Eduard Bloch <blade@debian.org>  Sun, 10 Nov 2019 19:00:40 +0100

apt-cacher-ng (3.2-3) unstable; urgency=medium

  * Increase decompression line buffer size (closes: #942634)

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Oct 2019 22:14:46 +0100

apt-cacher-ng (3.2-2) unstable; urgency=medium

  *  Fix for incorrect assumption of some existing SHA256SUMS files in Debian
     repositories which makes the expiration task fail without a proper way
     for the end user to recover from it. Now ignore a download error in this
     case (similar handling as for other guesses), assuming that permanent
     404ing for other reasons than removal of remote content can be considered
     unlikely (closes: #928957)

 -- Eduard Bloch <blade@debian.org>  Fri, 17 May 2019 22:59:21 +0200

apt-cacher-ng (3.2-1) unstable; urgency=low

  * New upstream version
    + Allow tunnel mode per default for some Debian and Ubuntu services
      closes: #906113
    + Adding remap config for security.d.o
      closes: #900325
    + Fix incorrect -C option in manpage and other minor errors
      closes: #901292, #901294, #901295
    + Remove obsolete option from config output
      closes: #859680
  * Removed the DISABLED flag from the init script (current Debian policy,
    section 9.3.3.1)
  * Raised the debconf priority to high for the question about proxy tunnel
    permissions (like HTTPS) since there is no perfect default.
    closes: #814359

 -- Eduard Bloch <blade@debian.org>  Fri, 07 Sep 2018 11:30:33 +0200

apt-cacher-ng (3.1-1) unstable; urgency=low

  * New upstream version
    + removed doc references to distkill.pl (closes: #877703, LP: #1635029)
    + includes fix for rare expiration failure on missing index files
      (closes: #872830)
    + fixes credential printing in logs (closes: #877135)
    + hardens default pass-through mask for bugs.debian.org (closes: #874349)
  * Portuguese translation update (by Traduz, closes: #874609)
  * Policy definition and build-deps update (no related changes)

 -- Eduard Bloch <blade@debian.org>  Sun, 05 Nov 2017 20:55:20 +0100

apt-cacher-ng (3-5) unstable; urgency=low

  * Moving RequiresMountsFor to Unit section (closes: #859520)

 -- Eduard Bloch <blade@debian.org>  Thu, 27 Apr 2017 20:12:02 +0200

apt-cacher-ng (3-4) unstable; urgency=medium

  * Made cron.daily tolerant to removal of config files (closes: #858952)

 -- Eduard Bloch <blade@debian.org>  Sun, 02 Apr 2017 10:05:38 +0200

apt-cacher-ng (3-3) unstable; urgency=medium

  * Updated debian/copyright to match the upstream version (now really)

 -- Eduard Bloch <blade@debian.org>  Tue, 28 Mar 2017 21:01:49 +0200

apt-cacher-ng (3-2) unstable; urgency=medium

  * Updated debian/copyright to match the upstream version

 -- Eduard Bloch <blade@debian.org>  Tue, 28 Mar 2017 20:09:54 +0200

apt-cacher-ng (3-1) unstable; urgency=medium

  * New upstream version
    + GCC7 compilation fixes (closes: #853315)
    + fixes hidden space allocation issue (closes: #856635)
    + smarter manual index deletion wizard which covers related files too
      (probably closes: #789706)
  * Spanish translation update (by Matías A. Bellone, closes: #853105)
  * Instructions on how to work around cron job execution and "special needs"
    of some users to disable the admin page (closes: #855996)
  * Added RequiresMountsFor to systemd service description (closes: #855618,
    only in Debian patch for now)

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Mar 2017 20:30:21 +0100

apt-cacher-ng (2-1) unstable; urgency=low

  * New upstream version
    + Fix for incorrect compilation with gcc-5.4 (closes: #843417, #843410)
    + Fixes communication of cron job runner on systems where public address
      was guessed incorrectly and/or connection was not possible
      (closes: #843834, #841633)
    + Fix ExStartTradeOff computation with unit suffix (closes: #845245)
    + Linking libatomic where possible (closes: #841431, now really)
  * Not rotating apt-cacher.err log when file is empty (notifempty option,
    closes: #832882)

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Nov 2016 21:39:43 +0100

apt-cacher-ng (1-2) unstable; urgency=low

  [ Dejan Latinovic <Dejan.Latinovic@imgtec.com> ]
  * Fixing FTBFS on MIPS (extra libatomic dependency, closes: #841431)

  [Eduard Bloch]
  * Extended mips/mipsel FTBFS patch to powerpcspe and m68k

 -- Eduard Bloch <blade@debian.org>  Thu, 20 Oct 2016 20:25:39 +0200

apt-cacher-ng (1-1) unstable; urgency=low

  * New upstream version
    + Better TLS hostname checks (closes: #839751)
    + Making build reproducible again (closes: #834755)

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Oct 2016 22:14:15 +0200

apt-cacher-ng (0.9.3.2-1) unstable; urgency=low

  * New upstream version
    + Fix FTBFS with non-Linux kernels (closes: #830736)
  * Better sanity check of data retrieved when looking for Ubuntu mirrors and
    correct checking of curl return code (prevents accidental inclusion of
    garbage from error messages of intermediate proxies into backend mirror
    configuration). Also sets shorter timeouts when fetching mirrors.txt
    (which closes: #827721 even while upgrading from very old versions)
  * In postinst, dropped some "smart" code which was trying to setup the
    default cache directory in case when clueless user deleted the related
    configuration line. That guessing was probably helping less often than it
    might have broken things; it contained a bug which (only on the very first
    installation) could incorrectly add a forced setting of CacheDir
    (closes: #830578)
  * Giving the question about pass-through higher debconf priority since some
    people seem to care a lot about HTTPS forwarding (#813359)

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Jul 2016 22:03:27 +0200

apt-cacher-ng (0.9.3.1-1) unstable; urgency=low

  * New upstream version
  * Sync with standards 0.9.8
  * Not stopping daemon on upgrade (closes: #825154)

 -- Eduard Bloch <blade@debian.org>  Wed, 08 Jun 2016 23:34:30 +0200

apt-cacher-ng (0.9.3-1) unstable; urgency=medium

  * New upstream version
    + handling for removal of SHA1 signature lists in recent Release/InRelease
      files (closes: #824293)
    + better support of by-hash storage (now really closes: #819852 apart from
      some corner cases)
    + better links in error reporting mails (closes: #825640)

 -- Eduard Bloch <blade@debian.org>  Sun, 29 May 2016 18:30:24 +0200

apt-cacher-ng (0.9.2-1) unstable; urgency=low

  * New upstream version
    + basic support for by-hash index files (closes: #819852) including some
      precaution in cache cleanup routines
    + supports .asc signatures for source (closes: #823733)
    + supports repo names with hyphens again (closes: #823570)
    + supports deb.debian.org by default (closes: #820813)
  * Japanese Debconf template update from Takuma Yamada included
    (closes: #815527)

 -- Eduard Bloch <blade@debian.org>  Fri, 13 May 2016 20:04:32 +0200

apt-cacher-ng (0.9.1-1) unstable; urgency=low

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Feb 2016 17:20:41 +0100

apt-cacher-ng (0.9.0-1) experimental; urgency=low

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Mon, 01 Feb 2016 19:50:49 +0100

apt-cacher-ng (0.8.9-1) unstable; urgency=medium

  * New upstream version (avoids use of Proxy in cron jobs, closes: #811350)

 -- Eduard Bloch <blade@debian.org>  Thu, 21 Jan 2016 20:24:39 +0100

apt-cacher-ng (0.8.8-1) unstable; urgency=medium

  * New minor version
    + supports AppStream sources (closes: #807909)
  * Fixed log file file reloading call from logrotate with systemd when daemon
    is not running (closes: #808096)

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Dec 2015 16:49:24 +0100

apt-cacher-ng (0.8.7-1) unstable; urgency=low

  * New upstream version
    + build system improvements (closes: #806963)
    + remove logrotated error logs (closes: #802672)
    + manpage includes more explanation of configuration mechanism and
      ALLCAPS header mentioning it in acng.conf for users refusing to RTFM
      (closes: #802670)
    + better error reporting and documentation of reportpage requirement even
      with acngtool (closes: #806651)

 -- Eduard Bloch <blade@debian.org>  Thu, 03 Dec 2015 21:51:26 +0100

apt-cacher-ng (0.8.6-1) unstable; urgency=low

  * New upstream version
    + replaces the expiration call mechanism and script with native
      implementation (closes: 794328)
  * Changed error log rotation schedule to daily execution (to expire some
    cruft from ancient bugs sooner or later)
  * removed urlencode-fixer.pl (should be obsolete now), expire-caller.pl
    (symlink to acngtool which emulates it)

 -- Eduard Bloch <blade@debian.org>  Mon, 21 Sep 2015 21:35:41 +0200

apt-cacher-ng (0.8.5-2) unstable; urgency=low

  * Check for systemd presence before looking for running instance of the
    daemon in the cron job (thanks to Dominic Hargreaves and Harald Dunkel,
    closes: #794923)

 -- Eduard Bloch <blade@debian.org>  Sat, 05 Sep 2015 16:32:06 +0200

apt-cacher-ng (0.8.5-1) unstable; urgency=low

  * New upstream version
    + Avoid double slashes in automated downloads (closes: #793356)
    + debian/copyright update (SHA2 implementations, although unused by us)
  * Make sure that service runs on localhost before starting expiration task
    in cron.daily (closes: #794098)

 -- Eduard Bloch <blade@debian.org>  Thu, 30 Jul 2015 23:43:53 +0200

apt-cacher-ng (0.8.4-1) experimental; urgency=low

  * New upstream version
    + Fixes creation of pidfile even in foreground mode (closes: #784752)
  * Added pt_BR.po update (by Adriano Rafael Gomes, closes: #785471)
  * Getting rid of "ed" recommendation, new version brings a faster
    replacement (closes: #772529)

 -- Eduard Bloch <blade@debian.org>  Thu, 18 Jun 2015 22:28:00 +0200

apt-cacher-ng (0.8.3-1) unstable; urgency=medium

  * New upstream version
    + solves the expiration hickup with disappeared .bz2 file versions

 -- Eduard Bloch <blade@debian.org>  Sat, 02 May 2015 17:20:16 +0200

apt-cacher-ng (0.8.2-1) unstable; urgency=low

  * New upstream version
    + forwarding of bugs.debian.org SOAP traffic through proxy cascades
      and potential bugfixes of its transport code (closes: #775126)
    + includes httpredir.debian.org in the mirror list (closes: #782643)
    + adds routing of HTTPS traffic through proxy cascades (closes: #734581)
    + improves HTTPS tunnel config documentation (closes: #779175)
    + adds documentation and example on how to track SIGBUS restarts to the
      (probably damaged) last open files (closes: #773825)

  [ Felix Geyer ]
  * added quiet option to systemctl calls to make logrotate less noisy
    (closes: #782562)

 -- Eduard Bloch <blade@debian.org>  Wed, 29 Apr 2015 11:31:38 +0200

apt-cacher-ng (0.8.1-1) unstable; urgency=low

  * New upstream version
    + transition to libsystemd without -daemon where possible (closes: #779739)
    + LTO disabled by default (closes: #777753)
    + *.o file download as volatile type (LP: #1078224)
    + more Fedora mirrors (Carlos Maddela, closes: #780555)
    + corrects handling of SPfilePatternEx (Carlos Maddela, closes: #780550)
  * Debconf question to enable HTTP tunnels, e.g. for https (closes: #734581)
  * Debconf translation updates: German (Holger Wansing, closes: #781921),
    French (Jean-Baka Domelevo Entfellner, closes: #782026), Italian (Beatrice
    Torracca, closes: #782013), Dutch (Frans Spiesschaert), Polish (Łukasz
    <BartekChom@poczta.onet.pl>), Swedish (Martin Bagge, Anders Jonsson,
    closes: #781672), Czech (Miroslav Kure, closes: #781447), Russian (Yuri
    Kozlov, closes: #781364), Danish (Joe Dalton, closes: #781328)

 -- Eduard Bloch <blade@debian.org>  Fri, 10 Apr 2015 23:40:20 +0200

apt-cacher-ng (0.8.0-3) unstable; urgency=medium

  * Restored build-dependency on libsystemd-daemond-dev since upstream source
    didn't cope with that change (yet)

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Nov 2014 21:05:16 +0100

apt-cacher-ng (0.8.0-2) unstable; urgency=medium

  * Send SIGUSR1 properly to reopen the logs when controlled by systemd
    (closes: Bug#771111)
  * replace build-dependency on transitional package libsystemd-daemond-dev

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Nov 2014 08:14:54 +0100

apt-cacher-ng (0.8.0-1) unstable; urgency=medium

  * New upstream version
    + workaround for processing of damaged caches in maintenance tasks
      (smarter/optimistic download source guessing, closes: #737069)
  * Dutch Debconf strings translation update by Frans Spiesschaert
    (closes: #764082)

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Oct 2014 22:52:25 +0200

apt-cacher-ng (0.8.0~rc4-1) unstable; urgency=low

  * New upstream version
    + fixes missing EOF chunk for some generated responses (closes: 765963)
    + deep review and fixing of extra file download code acting in
      repository space without backend specification (closes: #737069)
    + fixes FTBFS for non-Linux targets (closes: #763685), and debian/rules
      now detects the usage of sd_notify by looking at build system state

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Oct 2014 00:01:06 +0200

apt-cacher-ng (0.8.0~rc3-1) unstable; urgency=low

  * New upstream version, first Sid upload of 0.8.x 
    + systemd related changes: startup notification, restart on crashes
      (closes: #752255)
    + Now really fixes lookup of .default files in the resource directory
      (closes: #736579)

 -- Eduard Bloch <blade@debian.org>  Sat, 20 Sep 2014 12:53:20 +0200

apt-cacher-ng (0.8.0~pre3-1) experimental; urgency=low

  * New upstream prerelease version
  * Corrected passing of hardening flags from CPPFLAGS down to cmake
    (workaround from wiki, exporting variables manually and adding CPPFLAGS to
    CXXFLAGS, closes: #760699)

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Sep 2014 22:54:01 +0200

apt-cacher-ng (0.8.0~pre2-1) experimental; urgency=low

  * New upstream prerelease version
    + Added NEWS.Debian to the volatile patterns filter (LP: #1350432)
    + Special workaround for clients cutting parts of the file header with
      partial request (closes: #744727)

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Aug 2014 21:41:24 -0700

apt-cacher-ng (0.8.0~pre1-1) experimental; urgency=low

  * New upstream prerelease version
    + handles side effects on mmaped files more carefully (maybe a fix
      for #722360)
    + adds special handling for .gpg files without impact on static file
      patterns (closes: #720165)
  * Fixed links to gentoo_mirrors.default (closes: #736579)
  * Added Russian translation (closes: #736252)
  * Moved avahi-daemon to Suggests (LP: #1259191)

 -- Eduard Bloch <blade@debian.org>  Thu, 17 Jul 2014 22:40:25 +0200

apt-cacher-ng (0.7.27-1) unstable; urgency=medium

  * New upstream release
    + Includes fix of CVE-2014-4510, package patch dropped
  * Moved avahi-daemon to Suggests (LP: #1259191)

 -- Eduard Bloch <blade@debian.org>  Thu, 17 Jul 2014 21:10:25 +0200

apt-cacher-ng (0.7.26-2) unstable; urgency=high

  * Do not print the submitted (raw) file path in the response body of a 403
    message (CVE-2014-4510)

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Jun 2014 19:19:29 +0200

apt-cacher-ng (0.7.26-1) unstable; urgency=medium

  * New upstream version
    + fixes the link action for quick forced file expiration (closes: #736684)
    + fixes incorrect percent escaping in some cases (thanks! closes: #737268)
    + adds gentoo_mirrors.default, config should work now (closes: #736579)
  * reconsidered purging strategy, only remove files in the default location
    because when the user changed the location manually to an external folder
    then the data there better should not be destroyed (also closes: #736684)
  * added http.debian.net as another special host like cdn.d.n (closes: #741272)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #733087
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #736847
  * Danish (Joe Hansen).  Closes: #736876
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #737468
  * French (Jean-Baka Domelevo Entfellner).  Closes: #737714
  * Basque (Joseba Goitia Gandiaga).  Closes: #738021
  * Czech (Miroslav Kure).  Closes: #738355
  * Italian (Beatrice Torracca).  Closes: #738574
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #738724
  * Polish (Michał Kułach).  Closes: #738746
  * Portuguese (Pedro Ribeiro).  Closes: #738790
  * Spanish (Matías A. Bellone).  Closes: #739799
  * German (Eduard Bloch)

 -- Eduard Bloch <blade@debian.org>  Sat, 22 Mar 2014 14:20:56 +0100

apt-cacher-ng (0.7.25-1) unstable; urgency=medium

  * New upstream version with various bugfixes

 -- Eduard Bloch <blade@debian.org>  Sun, 05 Jan 2014 12:29:56 +0100

apt-cacher-ng (0.7.24-2) unstable; urgency=medium

  * Postinst now behaves more sensibly on configuration read errors during
    CacheDir plausibility check, also setting more defensive permissions
    to some protected (generated) config files at least for future
    installations (closes: #733141)

 -- Eduard Bloch <blade@debian.org>  Mon, 30 Dec 2013 01:25:40 +0100

apt-cacher-ng (0.7.24-1) unstable; urgency=medium

  * New upstream version
  * Review of maintainer scripts, now responsive to modification of
    CacheDir in existing configuration file(s)
  * Defensive behavior of Debconf integration (closes: #732606) and including
    NEWS.Debian to explain the extended config handling 
  * added libssl-dev to build dependencies (now really closes: #729508)
  * fixing build failure on architectures where ancgfs is not built (i.e. Hurd)
  * Debconf description improvement in better German translation

 -- Eduard Bloch <blade@debian.org>  Thu, 19 Dec 2013 21:10:19 +0100

apt-cacher-ng (0.7.23-1) unstable; urgency=medium

  * New upstream version
    + fixes reading of certain .xz files (closes: #729941, #731804)
    + HTTPS support (closes: #729508)
  * more debconf controlled settings injected through a separate config
    file, partially based on the patch from 
    Geert Stappers <stappers@stappers.nl> (closes: #726656)
  * policy version bump, and no longer recommending perl, there are enough
    functionality replacements implemented to work with just perl-base
  * changed maximum version counts in lograte configuration to lower numbers

 -- Eduard Bloch <blade@debian.org>  Tue, 17 Dec 2013 21:18:15 +0100

apt-cacher-ng (0.7.22-1) unstable; urgency=low

  * New upstream version
    + fixes backend list parser (closes: #731770, LP:#1259191)

 -- Eduard Bloch <blade@debian.org>  Mon, 09 Dec 2013 21:32:14 +0100

apt-cacher-ng (0.7.21-1) unstable; urgency=low

  * New upstream version
    + adds ftp.debian.com alias to the DB (closes: #730365, LP: #1254441)
    + adds consistent credentials handling for URLs specs (closes: #729505)
    + workaround for non-free/.../Packages.xz file reading in expiration
      activities (bug 729941)

 -- Eduard Bloch <blade@debian.org>  Mon, 09 Dec 2013 00:20:09 +0100

apt-cacher-ng (0.7.20-2) unstable; urgency=low

  * Create the user before doing dpkg-statoverride (closes: #730360)

 -- Eduard Bloch <blade@debian.org>  Mon, 25 Nov 2013 22:03:52 +0100

apt-cacher-ng (0.7.20-1) unstable; urgency=low

  * New upstream version
    + Attempts to recreate its cache directory (closes: #729939)
  * make sure not to fail on postrm (purge) when the config directory
    still contains unexpected files (closes: #728236)
  * now really removing config files maintained only by maintainer scripts from
    dpkg's conffile tracking (closes: #728263)

 -- Eduard Bloch <blade@debian.org>  Sat, 23 Nov 2013 20:54:35 +0100

apt-cacher-ng (0.7.19-1) unstable; urgency=low

  [ Eduard Bloch ]
  * New upstream version
    + prints errno message from a failed daemon() call (closes: #726925)
    + suppresses output from the red utility leaked to stderr (closes: #722600)
  * Attempting to use a http proxy from apt settings for the mirror lookup in
    postinst (closes: #720954)
  * no longer delivering empty conffiles (backends_*, closes: #720296)
  [ Julian Andres Klode ]
  * Included IPv6 in the avahi config (closes: #722907)
  [ Lukas Anzinger <l.anzinger@gmail.com> ]
  * Converted apt-cacher-ng to debhelper 9 (closes: #722712)

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Oct 2013 22:20:09 +0100

apt-cacher-ng (0.7.18-1) unstable; urgency=medium

  * New upstream release
    + includes tmpfile for proper startup with systemd (closes: #720215)

 -- Eduard Bloch <blade@debian.org>  Tue, 20 Aug 2013 00:45:51 +0200

apt-cacher-ng (0.7.17-1) unstable; urgency=medium

  * New upstream version
  * Various meta changes, removed binutils-gold conflict (closes: #719428)
  * systemd service config integration (closes: #716810)

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Aug 2013 23:09:40 +0200

apt-cacher-ng (0.7.16-1) unstable; urgency=medium

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Wed, 31 Jul 2013 23:36:07 +0200

apt-cacher-ng (0.7.15-1) unstable; urgency=medium

  * New upstream version
    + handles timeouts from stale connections correctly (closes: #717832)
    + fixes varios regressions from 0.7.14

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Jul 2013 21:05:54 +0200

apt-cacher-ng (0.7.14-1) unstable; urgency=low

  * New upstream version
    + prevents background looping (closes: #703296)
    + stop spamming apt-cacher.err when verbosity is not set to debug mode
      (closes: #714146)
  * Remove system user account with bare passwd tools where adduser package
    has been removed before purging apt-cacher-ng (LP: #1185547)

 -- Eduard Bloch <blade@debian.org>  Sat, 20 Jul 2013 10:55:07 +0200

apt-cacher-ng (0.7.13-1) unstable; urgency=medium

  * New upstream release
  * using Ubuntu config optimization added in the last version only where curl
    or wget are available and added curl or wget to Suggests (closes: #698466)
  * working around adduser failure on certain systems (closes: #706382)
  * added basic support for avahi publishing contributed by Lissandro,
    thanks! (closes: #704790)

 -- Eduard Bloch <blade@debian.org>  Tue, 21 May 2013 20:23:51 +0200

apt-cacher-ng (0.7.12-1) experimental; urgency=low

  * New upstream release
    + adds filename patterns for mirrors.txt (LP: #1020995)
    + adds options to configure pipeline behavior (LP: #1097952)
  * Using Ubuntu's mirrors.txt service to get a better fallback backend list
  * minor postinst fixes to deal with trailing spaces in modification checks

 -- Eduard Bloch <blade@debian.org>  Sat, 12 Jan 2013 20:15:14 +0100

apt-cacher-ng (0.7.11-1) unstable; urgency=low

  * New upstream release
    + fixes a segfaulting bug within the new code (closes: #694620)
    + spelling correction in the web interface (threat/treat, closes: #695120)

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Dec 2012 20:14:46 +0100

apt-cacher-ng (0.7.10-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Nov 2012 23:27:29 +0100

apt-cacher-ng (0.7.9-1) unstable; urgency=low

  * New upstream release
    + fixes regular downloads in ForceManaged mode, closes: #692373)

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Nov 2012 23:17:06 +0100

apt-cacher-ng (0.7.8-1) unstable; urgency=low

  * New upstream release
    + improved redirection handling (closes: #683803)
    + workarounds for stuck download descriptors (now probably really
      closes:#677983)
  * Cron jobs displays max. 5 recent operation logs (LP: #1074474)

 -- Eduard Bloch <blade@debian.org>  Sun, 04 Nov 2012 20:36:32 +0100

apt-cacher-ng (0.7.7-2) unstable; urgency=low

  * Unstable upload (no changes, hope that it closes: #677983)

 -- Eduard Bloch <blade@debian.org>  Sat, 08 Sep 2012 18:17:22 +0200

apt-cacher-ng (0.7.7-1) experimental; urgency=low

  * New upstream releasee
    + pass-through mode for allowed hosts (LP: #647212)
    + possible fixes of file descriptor objects expiration (closes: #677983)

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Aug 2012 20:50:16 +0200

apt-cacher-ng (0.7.6-1) unstable; urgency=medium

  * New upstream release
    + more path pattern(s) for CentOS / Scientific Linux (LP: #1006844)
    + working around confusing proxy behavior and related issues with
      symptoms similar to #672801 (closes: #676214)

 -- Eduard Bloch <blade@debian.org>  Thu, 07 Jun 2012 17:14:57 +0200

apt-cacher-ng (0.7.5-1) unstable; urgency=low

  * New upstream release
    + fixes for corner cases of bug #672801

 -- Eduard Bloch <blade@debian.org>  Thu, 31 May 2012 00:27:55 +0200

apt-cacher-ng (0.7.4-1) unstable; urgency=medium

  * New upstream release 
    + prevents endless looping in certain situations (LP: #999915)
    + more tolerance to unstable connections and behavior fix for conflicting
      downloads in maintenance mode (closes: #672801)
  * added a bug-script to present some instructions

 -- Eduard Bloch <blade@debian.org>  Thu, 24 May 2012 15:55:17 +0200

apt-cacher-ng (0.7.3-1) unstable; urgency=low

  * New upstream release
    + Fixes FTBFS (missing unistd.h include, closes: #667100)
    + option to disable Range/If-Range for volatile files (LP: #983128)
    + Fixes storage of HTTP header data in cached files under certain
      circumstances (now really closes: #644959)
  * Conflict with older logrotate not understanding "su" (closes: #662760)
  * Process user/group is configurable via default file now (closes: #668421)

 -- Eduard Bloch <blade@debian.org>  Fri, 20 Apr 2012 09:27:13 +0200

apt-cacher-ng (0.7.2-1) unstable; urgency=low

  * New upstream releases (closes: #661971)
  * Added Danish translation from Joe Dalton (closes: #660771)

 -- Eduard Bloch <blade@debian.org>  Sat, 03 Mar 2012 17:48:57 +0100

apt-cacher-ng (0.7.1-1) unstable; urgency=low

  * New upstream release
    + attempts to detect errors in HTTP stream and invalidate possibly
      damaged files (closes: #658550)
    + don't consider (almost) empty uncompressed file as damaged
      (closes: #660664)

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Feb 2012 22:13:12 +0100

apt-cacher-ng (0.7-1) unstable; urgency=medium

  * New upstream release
    + fixes asymmetric lifetime handling for file objects with URL encoded ~
      char in the filename (closes: #658550, #658680)

 -- Eduard Bloch <blade@debian.org>  Sun, 05 Feb 2012 22:42:53 +0100

apt-cacher-ng (0.6.12-1) unstable; urgency=low

  * New upstream version
  * Added use of dpkg-buildflags (for hardening)

 -- Eduard Bloch <blade@debian.org>  Sun, 15 Jan 2012 16:10:09 +0100

apt-cacher-ng (0.6.11-1) unstable; urgency=low

  * Start init script at S18, not before bind (closes: 650726). Also adds the
    reference to LSB init info block.
  * specified effective user/group in logrotate config
  * Adds sample config snippet for apt.conf.d to examples
  * added Dutch translation of debconf templates (closes: 652020)
  * documented AllowUserPorts (available since 0.6.10, closes: 648802)

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Dec 2011 16:38:05 +0100

apt-cacher-ng (0.6.10-2) unstable; urgency=low

  * Release to Unstable

 -- Eduard Bloch <blade@debian.org>  Wed, 30 Nov 2011 01:22:41 +0100

apt-cacher-ng (0.6.10-1) experimental; urgency=low

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Sat, 26 Nov 2011 13:09:45 +0100

apt-cacher-ng (0.6.9-1) experimental; urgency=low

  * New upstream release, testing downloader code changes

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Nov 2011 20:20:33 +0100

apt-cacher-ng (0.6.8-2) unstable; urgency=medium

  * Added libwrap0-dev to Build-Depends (closes: #646300)
  * Added newer dpkg to Pre-Depends (for xz compression support)

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Oct 2011 00:45:56 +0200

apt-cacher-ng (0.6.8-1) unstable; urgency=low

  * New upstream version
    + supports optional IP filters via libwrap (closes: #635454)
    + adds more helpers for detection/removal of corrupted cache contents
      (closes: #644959)
    + extra expired file keeping was added in 0.6.7 (LP: #225483)
    + configurable timeout value for "hot" index file items (LP: #872365)
  * New version supports loading of resource files from non-configuration
    directories (i.e. /usr/lib/apt-cacher-ng). Removed symlinks for resource
    files in /etc/apt-cacher-ng.

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Oct 2011 21:40:55 +0200

apt-cacher-ng (0.6.7-1) unstable; urgency=low

  * New upstream versions
    + implements extra keeping of obsolete package versions (closes: #634145)
    + configurable outgoing connection protocol (closes: #641257)

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Sep 2011 16:37:18 +0200

apt-cacher-ng (0.6.6-1) unstable; urgency=low

  * New upstream version
    + auto-detection of removed architectures in expiration run (closes:620083)
    + release apt which opened many connection simultaneously from its
      "Waiting for headers" state (closes:638460)
  * fall-back to alternative tools if Perl modules are missing (closes:548348)
  * switched source format to 3.0 (quilt) with XZ compression
  * changed source and binary compression to XZ
  * fixed uncontrolled parallel build execution in debian/rules

 -- Eduard Bloch <blade@debian.org>  Sun, 21 Aug 2011 14:27:35 +0200

apt-cacher-ng (0.6.5-1) unstable; urgency=low

  * New upstream version
    + fixes various regressions
  * removed dependency on libfuse2 (now used via dlopen, moved to Suggests)
  * support new build-* targets in rules

 -- Eduard Bloch <blade@debian.org>  Sun, 07 Aug 2011 17:53:21 +0200

apt-cacher-ng (0.6.4-1) experimental; urgency=low

  * New upstream version
    + fixes potential pipeline freeze (closes: #628995)
    + supports "soft" blacklisting of bad hosts when important files are
      missing (see keyfile in documentation, closes: #616091)

 -- Eduard Bloch <blade@debian.org>  Mon, 01 Aug 2011 23:40:11 +0200

apt-cacher-ng (0.6.3-1) unstable; urgency=medium

  * New upstream releases (fixes endian detection, closes: #630372)

 -- Eduard Bloch <blade@debian.org>  Tue, 14 Jun 2011 22:47:01 +0200

apt-cacher-ng (0.6.2-1) unstable; urgency=low

  * New upstream release
    + fixes segfault after some failed connection attempts (closes: #624312)
    + includes cdn.debian.net (LP: #734348)
    + gcc-4.6 compilation fixes (LP: #765963)
    + adjusted regex for SF redirection to mscorefonts files (LP: #755085)

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Apr 2011 21:34:49 +0200

apt-cacher-ng (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Improved BindInterfaces description (closes: #545337)

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Mar 2011 00:49:59 +0200

apt-cacher-ng (0.6-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 26 Feb 2011 16:37:24 +0100

apt-cacher-ng (0.5.14) unstable; urgency=low

  * Disabled acngfs build on hurd because of missing fuse library
  * Added Brazilian Portuguese Translation from Adriano Rafael
    Gomes (closes: #610414)
  * added option to append arbitrary data to request headers, default contains
    remote proxy cache control data (closes: #613816)
  * changing version scheme to native

 -- Eduard Bloch <blade@debian.org>  Fri, 18 Feb 2011 23:04:33 +0100

apt-cacher-ng (0.5.13-1) unstable; urgency=low

  * New upstream version
  * logrotate configuration for the *.err files
  * silent fix of incorrect Ubuntu mirror path in backends_ubuntu.default
    (alioth task 312888)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Feb 2011 19:56:57 +0100

apt-cacher-ng (0.5.12-1) unstable; urgency=low

  * New upstream version
    + implements easier removal of cruft via web the inteface (closes: #546790)
    + added http://ftp.debian.org/debian/ to the regular mirror list in
      deb_mirrors.gz (closes: #605426)
  * fixed last-resort Ubuntu mirror picking code, now including the /ubuntu
    path component lost in a few cases

 -- Eduard Bloch <blade@debian.org>  Thu, 02 Dec 2010 23:09:38 +0100

apt-cacher-ng (0.5.11-1) unstable; urgency=low

  * New upstream version
    + return explicit Content-Length (including zero size) except for
      body-less status responses (closes: 603463)
    + more 0.5.7 regressions fixes

 -- Eduard Bloch <blade@debian.org>  Thu, 18 Nov 2010 22:41:50 +0100

apt-cacher-ng (0.5.10-1) unstable; urgency=medium

  * New upstream version
    + fixes import function broken since 0.5.7

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Nov 2010 01:09:22 +0100

apt-cacher-ng (0.5.9-1) unstable; urgency=low

  * New upstream version
    + adds code to prevent request storms from networks with "special"
      configuration (closes: #598469)

 -- Eduard Bloch <blade@debian.org>  Fri, 05 Nov 2010 23:46:52 +0100

apt-cacher-ng (0.5.8-1) unstable; urgency=low

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Mon, 01 Nov 2010 15:22:25 +0100

apt-cacher-ng (0.5.7-1) experimental; urgency=medium

  * New upstream version
  * Typos in acng.conf fixed (thanks, closes: 599328)

 -- Eduard Bloch <blade@debian.org>  Wed, 20 Oct 2010 18:42:32 +0200

apt-cacher-ng (0.5.6-1) unstable; urgency=medium

  * New upstream version

 -- Eduard Bloch <blade@debian.org>  Sun, 12 Sep 2010 23:16:43 +0200

apt-cacher-ng (0.5.5-1) unstable; urgency=low

  * New upstream version
    + fixes corruption of error page status line
    + better handling of d-i files expiration
    + not downloading unneeded files in expiration

 -- Eduard Bloch <blade@debian.org>  Sun, 12 Sep 2010 23:09:50 +0200

apt-cacher-ng (0.5.4-1) experimental; urgency=low

  * New upstream version
    + solves missing sys/stat.h inclusion (closes: #594765)
    + fixes on old leak of thread memory (now really)
    + lzma reading support

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Aug 2010 15:34:38 +0200

apt-cacher-ng (0.5.3-1) experimental; urgency=low

  * New upstream version
    + lots of internal changes, including obvious memory leaks
  * created doc-base file

 -- Eduard Bloch <blade@debian.org>  Wed, 25 Aug 2010 23:38:26 +0200

apt-cacher-ng (0.5.2-1) experimental; urgency=low

  * New upstream version
    + closes: #590291 (FTBFS with recent compilers)
    + kfreebsd compilation fixes
    + fixes a possible cause of #546790

 -- Eduard Bloch <blade@debian.org>  Sat, 07 Aug 2010 12:51:28 +0200

apt-cacher-ng (0.5.1-1) unstable; urgency=low

  * New upstream version
    + header inclusion cleanup (closes: #590291)
    + kfreebsd related fixes
    + long outstanding user interface fixes and various regression fixes

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Jul 2010 01:17:33 +0200

apt-cacher-ng (0.5-1) unstable; urgency=low

  * New upstream version
    + initiates the connection shutdown correctly, prevents freezes with
      clients that wait for server (closes: #589630)
    + now respecting umask value in creation permissions (closes: #589410),
      also makes the default permissions configurable through DirPerms and
      FilePerms variables

 -- Eduard Bloch <blade@debian.org>  Mon, 19 Jul 2010 22:45:48 +0200

apt-cacher-ng (0.4.9-2) unstable; urgency=low

  * Minor change to support Ubuntu release notes delivery with GET 
    parameters (closes: #588662)

 -- Eduard Bloch <blade@debian.org>  Sun, 11 Jul 2010 11:06:49 +0200

apt-cacher-ng (0.4.9-1) unstable; urgency=low

  * New upstream version
    + fixes LFS settings inconsistencies (closes: #588048), thanks
      to M. Vefa Bicakci

 -- Eduard Bloch <blade@debian.org>  Tue, 06 Jul 2010 00:59:21 +0200

apt-cacher-ng (0.4.8-1) unstable; urgency=low

  * New upstream version
    + fixes FTBFS with recent glibc (Ubuntu bug 596452)
    + adds ddeb files to package filter (Ubuntu bug 596075)
    + allow pass-through mode for specified domains/URLs (Ubuntu bug 530524)
    + modified regex creation (only at startup time now), may be a workaround
      for Debian bug #571536, Ubuntu bugs 523408, 532353, 585957

 -- Eduard Bloch <blade@debian.org>  Fri, 02 Jul 2010 08:40:07 +0200

apt-cacher-ng (0.4.7-1) unstable; urgency=low

  * New upstream version 
    + supports fallback backends descriptions which are used when the file is
      specified in the config but not configured properly. Intended to help
      in a heterogeneous Debian/Ubuntu environment (closes Ubuntu tasks
      398998 and 557316)
    + Fixes potential socket leak in mixed IPv4/v6 setups (maybe closes: #529744
      and Ubuntu bug 572095)
  * Added Vietnamese debconf translation from Clytie Siddall (closes: #576154)
  * Added Spanish translation update from Omar Campagne (closes: #578143)

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Mar 2010 22:53:32 +0100

apt-cacher-ng (0.4.6-1) unstable; urgency=medium

  * New upstream version
    + decodes some special chars for local storage (closes: #573222),
      affected users should refer to README.Debian for instructions about
      correction of the bad filenames

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Mar 2010 22:12:57 +0100

apt-cacher-ng (0.4.5-1) unstable; urgency=low

  * New upstream release
    + documented DnsCacheSeconds (Ubuntu bug 530524)
    + Added simple implementation of SOAP request forwarding for PTS 
      access (closes: #453277)
    + Typo fix in userinfo.html (closes: #572171)

 -- Eduard Bloch <blade@debian.org>  Wed, 03 Mar 2010 21:31:40 +0100

apt-cacher-ng (0.4.4-1) unstable; urgency=low

  * New upstream release
    + adds a more meaningful message for incorrect backend mirror
      settings (closes: #549222)
    + internal improvements, still hunting bug #558133
  * init script and policy compliancy updates

 -- Eduard Bloch <blade@debian.org>  Sun, 21 Feb 2010 23:04:58 +0100

apt-cacher-ng (0.4.3-1) unstable; urgency=medium

  * Support for new dpkg v3 source formats

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Dec 2009 12:22:36 +0100

apt-cacher-ng (0.4.2-1) unstable; urgency=medium

  * New upstream release
    + little documentation fixes, corrected format of the import howto and
      explained the results of the procedure (closes: #559075)
  * Fix repeated setup on package upgrade (closes: #559024). Also tries to
    keep backend config files if the user maintained them manually before but
    they could not generated at all via automated setup.

 -- Eduard Bloch <blade@debian.org>  Tue, 01 Dec 2009 21:52:29 +0100

apt-cacher-ng (0.4.1-1) unstable; urgency=low

  [ Jonathan Wiltshire <debian@jwiltshire.org.uk> ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #552017
  * Debconf translation updates:
    - Russian (closes: #545211)
    - Finnish (closes: #552253)
    - Czech (closes: #552452)
    - Basque (closes: #552806)
    - Japanese (closes: #553029)
    - Portugese (closes: #554119)
    - Swedish (closes: #554137)
    - French (closes: #554366)
    - Galician (closes: #554634)

  [ Eduard Bloch ]
  * debconf update, reduced query to one dialog
  * Debconf translation updates from contributors:
    - Italian (closes: #556109)
    - Spanish (closes: #538106)
  * New upstream release:
    + enabled resuming of downloads of incomplete files where the conditions
      allow that without nasty side effects (closes: #544205)
    + passing HTTP redirection target through to user (closes: #556234)
  * Unconfuse crontab expiration script when BindAdress contains multiple
    entries (patch by Hellekin O\. Wolf, closes: #554707)
 
 -- Eduard Bloch <blade@debian.org>  Sun, 22 Nov 2009 19:06:32 +0100

apt-cacher-ng (0.4-1) unstable; urgency=low

  * New upstream release
    + Fixes thread leak due to race condition, based on patch
      from Alexander Inyukhin (thanks, closes: #530440)

 -- Eduard Bloch <blade@debian.org>  Tue, 26 May 2009 00:03:20 +0200

apt-cacher-ng (0.3.12-1) unstable; urgency=low

  * New upstream release
    + more reliable closing of file handles (might solve #529744)
    + reveals origin of 40x HTTP errors to the user (for #530021)
  * verbose Debconf configuration for automated backend setup which repeatedly
    confused some users in the past (closes: #530021). Deprecates the
    truncate-and-reconfigure trick.

 -- Eduard Bloch <blade@debian.org>  Mon, 25 May 2009 01:21:29 +0200

apt-cacher-ng (0.3.11-1) unstable; urgency=low

  * New upstream release
  * Log file removal on purge (closes: #527378)

 -- Eduard Bloch <blade@debian.org>  Sat, 09 May 2009 19:50:34 +0200

apt-cacher-ng (0.3.10-1) unstable; urgency=high

  * New upstream release
    + fixing a subtle change in 0.3.9 which breaks import function and might
    cause cache damage for users who manually run expiration with data
    checksumming (many thanks to Petra Ruebe-Pugliese, closes: #526956)

 -- Eduard Bloch <blade@debian.org>  Mon, 04 May 2009 23:02:41 +0200

apt-cacher-ng (0.3.9-1) unstable; urgency=medium

  * New upstream release
  * Moved service disabling check to the correct place (closes: #523290)

 -- Eduard Bloch <blade@debian.org>  Tue, 21 Apr 2009 23:55:16 +0200

apt-cacher-ng (0.3.8-1) unstable; urgency=medium

  * New upstream release
  * Fixed init script deactivation (closes: #522186)

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Apr 2009 23:03:52 +0200

apt-cacher-ng (0.3.7-1) unstable; urgency=medium

  * New upstream release
    + fixes debian-volatile confusion, updated the mirror list (closes: #522239)
    + added some documentation and a documentation reference to the error
      messages for the busy port condition (closes: #522178)
  * mirror picker improvements: considering ftp sources correctly, removing
    duplicate lines in backend files
  * added support for the init script deactivation with an environment
    variable (closes: #522186)

 -- Eduard Bloch <blade@debian.org>  Fri, 03 Apr 2009 22:53:25 +0200

apt-cacher-ng (0.3.6-1) unstable; urgency=low

  * New upstream release with minor speedups
  * Fixed new bashisms in the init script (closes: #521465)

 -- Eduard Bloch <blade@debian.org>  Fri, 27 Mar 2009 22:26:18 +0100

apt-cacher-ng (0.3.5-2) unstable; urgency=low

  * Added ftp: as possible pattern when looking for good mirrors in
    sources.list for backend definition creation (now really closes: #520824)

 -- Eduard Bloch <blade@debian.org>  Thu, 26 Mar 2009 23:59:36 +0100

apt-cacher-ng (0.3.5-1) unstable; urgency=low

  * New upstream release
    + adds hostname to DNS error messages in the expiration output, to help
      users who do not read config files, documentation or logfiles like
      apt-cacher.err (closes: #520824)
  * init script fixes: checking the running state before overwritting the PID
    file, attempt to terminate harder on stop command when PID file is lost.
    Also fixes path name of the PID removed in the stop action (closes: #520565).

 -- Eduard Bloch <blade@debian.org>  Thu, 26 Mar 2009 22:51:38 +0100

apt-cacher-ng (0.3.4-1) unstable; urgency=low

  * New upstream version
  * Added perl to Recommends (for the still optional expiration task), added
    hints to error log when the script startup is impossible (closes: #508794)
  * documents how to remove entire distribution releases and adds a helper
    script (closes: #516686)
  * expiration adds server-reported file size verification (closes: #511567)
  * restructured the manual to be more user oriented, including many
    ideas and proposals from Andras Korn (thanks, closes: #515194)

 -- Eduard Bloch <blade@debian.org>  Tue, 10 Mar 2009 22:59:44 +0100

apt-cacher-ng (0.3.3-1) unstable; urgency=low

  * logrotate called kill convention fix for Dash lovers (closes: 506958)

 -- Eduard Bloch <blade@debian.org>  Thu, 27 Nov 2008 11:30:39 +0100

apt-cacher-ng (0.3.2-2) unstable; urgency=low

  * GCC 4.4 related fixes (closes: #505385)
  * automatic cropping of V4-in-V6 addresses to IPv4 format in user info pages
    (closes: #502564)

 -- Eduard Bloch <blade@debian.org>  Mon, 17 Nov 2008 19:44:16 +0100

apt-cacher-ng (0.3.2-1) unstable; urgency=low

  * New upstream version, fixes startup problem with numeric command line
    options, based on patch from Theppitak Karoonboonyanan (closes: #502072)

 -- Eduard Bloch <blade@debian.org>  Mon, 13 Oct 2008 21:14:11 +0200

apt-cacher-ng (0.3.1-1) unstable; urgency=low

  * New upstream version, fixing minor problems

 -- Eduard Bloch <blade@debian.org>  Sun, 12 Oct 2008 13:39:26 +0200

apt-cacher-ng (0.3-1) unstable; urgency=low

  * New upstream version
    + more careful cleanup after connection errors (closes: #499539)
    + option to force redownload of volatile files (closes: #497766)

 -- Eduard Bloch <blade@debian.org>  Tue, 23 Sep 2008 00:21:53 +0200

apt-cacher-ng (0.2.9-1) unstable; urgency=high

  * Minor upstream release (bugfix for changes in 0.2.8)
    Should now really be the last release for the next weeks...

 -- Eduard Bloch <blade@debian.org>  Thu, 04 Sep 2008 04:22:55 +0200

apt-cacher-ng (0.2.8-1) unstable; urgency=high

  * New upstream (bugfix) release
    + fixes reconnection on timeout or end of KeepAlive sequence(closes:#497700)

 -- Eduard Bloch <blade@debian.org>  Wed, 03 Sep 2008 20:21:45 +0200

apt-cacher-ng (0.2.7-1) unstable; urgency=high

  * New usptream release
    + fixes infinite loop on bad host resolution in some configurations
      (closes: #497567)
    + suppress some protocol warnings (i.e. with disabled IPv6 configuration,
      closes: #497554)
    + addresses another potential file corruption problem

 -- Eduard Bloch <blade@debian.org>  Wed, 03 Sep 2008 15:30:28 +0200

apt-cacher-ng (0.2.6-1) unstable; urgency=high

  * New upstream release
    + expected to fix incorrect storage of cached files (closes: #495350)
    + expected to solve "hanging" problem after stalls in the download queue
      processing (closes: #496937)

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Aug 2008 00:58:22 +0200

apt-cacher-ng (0.2.5-2) unstable; urgency=medium

  * Fixes seeking in the cache file within sendfile(2) emulation,
    based on patch from Jiří Paleček (closes: #495345)

 -- Eduard Bloch <blade@debian.org>  Sat, 16 Aug 2008 14:48:35 +0200

apt-cacher-ng (0.2.5-1) unstable; urgency=high

  * New upstream (bugfix) release

 -- Eduard Bloch <blade@debian.org>  Sun, 10 Aug 2008 23:03:15 +0200

apt-cacher-ng (0.2.4-1) unstable; urgency=high

  * New upstream version
    + expiration.cc: typo fix, restores parsing of Release files; cache might
      be damaged when running expiration with 0.2.3 version(s)

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Aug 2008 21:11:15 +0200

apt-cacher-ng (0.2.3-3) unstable; urgency=medium

  * checkenv.sh fixes for dash's bugs with echo (#379227) and shift
    return code, closes: #493455
  * minor documentation fix on command call example for acngfs
  * added one missing HTML page to documentation

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Aug 2008 15:23:22 +0200

apt-cacher-ng (0.2.3-2) unstable; urgency=medium

  * Check existence of the expiration start tool in cron.daily to avoid spam
    after simple package removal (closes: 493333)
  * debian/rules: made use of CXXFLAGS more reliable

 -- Eduard Bloch <blade@debian.org>  Sat, 02 Aug 2008 10:45:24 +0200

apt-cacher-ng (0.2.3-1) unstable; urgency=low

  * New upstream release
    + adds option for faster log line buffer flushing (closes: 489713)
  * copyright file update

 -- Eduard Bloch <blade@debian.org>  Sun, 27 Jul 2008 21:25:19 +0200

apt-cacher-ng (0.2.2-2) unstable; urgency=low

  * Build for Sid

 -- Eduard Bloch <blade@debian.org>  Mon, 21 Jul 2008 20:30:18 +0200

apt-cacher-ng (0.2.2-1) experimental; urgency=medium

  * New upstream release fixing a bunch of nasty problems

 -- Eduard Bloch <blade@debian.org>  Thu, 17 Jul 2008 23:35:18 +0200

apt-cacher-ng (0.2.1-1) unstable; urgency=medium

  * New upstream release
    + might fix incorrect responses on server changing (apt's "hang-up")

 -- Eduard Bloch <blade@debian.org>  Sat, 28 Jun 2008 17:27:12 +0200

apt-cacher-ng (0.2-1) unstable; urgency=low

  * New upstream release
  * Installing acngfs again

 -- Eduard Bloch <blade@debian.org>  Sat, 28 Jun 2008 17:16:04 +0200

apt-cacher-ng (0.2~pre3-1) experimental; urgency=low

  * New upstream preview release (important bugfixes)
  * Logrotate integration
  * cron.daily script for non-interactive expiration (already in the
    last revision)

 -- Eduard Bloch <blade@debian.org>  Wed, 25 Jun 2008 00:37:23 +0200

apt-cacher-ng (0.2~pre2-1) experimental; urgency=low

  * New upstream preview release

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Jun 2008 00:58:16 +0200

apt-cacher-ng (0.2~pre1-1) experimental; urgency=low

  * New upstream preview release
    + adds more local Ubuntu mirrors (closes: #477044)
    + fixes/improves connection and thread management (closes:#475583, #458782)
    + dropped bogus path check on symlink import (closes: #484760)

 -- Eduard Bloch <blade@debian.org>  Tue, 17 Jun 2008 00:04:24 +0200

apt-cacher-ng (0.1.13-1) unstable; urgency=low

  * New upstream release
    + stop applying URL filename decoding when inappropriate (closes: #475782)
  * Considering sources.list.d/* when guessing preferred mirror and refactored
    postinst code, catching some corner cases (closes: #471811)

 -- Eduard Bloch <blade@debian.org>  Sun, 13 Apr 2008 22:43:44 +0200

apt-cacher-ng (0.1.12-2) unstable; urgency=low

  * Fixate/Remove permissions with dpkg-statoverride, fixing FTBFS from
    #471674 changes
  * Postinst now considers ftp hosts as preferred mirrors (closes: #471809),
    also documented some Debian specific bits about backends files
    (re)generation in README.Debian

 -- Eduard Bloch <blade@debian.org>  Thu, 20 Mar 2008 12:45:13 +0100

apt-cacher-ng (0.1.12-1) unstable; urgency=low

  * New upstream release with minor bugfix
  * Fixes permissions of security.conf for the apt-cacher-ng user and
    group (closes: #471674)

 -- Eduard Bloch <blade@debian.org>  Thu, 20 Mar 2008 02:44:05 +0100

apt-cacher-ng (0.1.11-1) unstable; urgency=low

  * New upstream release
    + includes patch from Jiří Paleček to fix EINTR handling and other fixes
      for similar issues (closes: #471110)
    + basic auth support for admin tasks
    + improved guessing of index file locations on import
  * removed symlinks for unrelated files from /etc

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Mar 2008 00:34:10 +0100

apt-cacher-ng (0.1.10-1) unstable; urgency=low

  * New upstream version (mostly bugfixes)
    + adds simple URL support in rewrite lists (closes: #461622), thanks
      to Tobias Gruetzmacher

 -- Eduard Bloch <blade@debian.org>  Thu, 07 Feb 2008 23:38:30 +0100

apt-cacher-ng (0.1.9-1) unstable; urgency=medium

  * New upstream version fixing some obscure bugs

 -- Eduard Bloch <blade@debian.org>  Tue, 11 Dec 2007 21:08:31 +0100

apt-cacher-ng (0.1.8-1) unstable; urgency=low

  * New upstream version
  * Added pkg-config dependency

 -- Eduard Bloch <blade@debian.org>  Thu, 06 Dec 2007 23:14:26 +0100

apt-cacher-ng (0.1.7-1) unstable; urgency=medium

  * New upstream version
    + includes an experimental http filesystem
    + no longer using "identity" Transfer-Encoding, d-i's wget was confused
  * No longer using variables from vars.sh -> remove it (closes: #452928)

 -- Eduard Bloch <blade@debian.org>  Sun, 02 Dec 2007 23:46:03 +0100

apt-cacher-ng (0.1.6-1) unstable; urgency=low

  * New bugfix release

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Nov 2007 21:05:31 +0100

apt-cacher-ng (0.1.5-1) unstable; urgency=low

  * New feature release

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Nov 2007 21:04:22 +0100

apt-cacher-ng (0.1.4-1) unstable; urgency=medium

  * New bugfix release

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Nov 2007 02:45:54 +0100

apt-cacher-ng (0.1.3-1) unstable; urgency=medium

  * New "upstream" release, fixes problem with potentially wrong file
    locations in the local cache

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Nov 2007 16:36:40 +0100

apt-cacher-ng (0.1.2-1) unstable; urgency=low

  * Fix of the fix: using correct peer name buffer (i.e. in log printing)

 -- Eduard Bloch <blade@debian.org>  Fri, 16 Nov 2007 22:00:00 +0100

apt-cacher-ng (0.1.1-1) unstable; urgency=low

  * New "upstream" version
    + Fixes problem with double bind without IPV6_ONLY (closes: #451412)
  * Package descriptions fixes (closes: #451342)

 -- Eduard Bloch <blade@debian.org>  Fri, 16 Nov 2007 02:25:00 +0100

apt-cacher-ng (0.1-2) unstable; urgency=low

  * Corrects hanging grep command in postinst happening during initial
    installation (closes: #451279)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Nov 2007 21:36:56 +0100

apt-cacher-ng (0.1-1) unstable; urgency=low

  * New "upsteam" version, includes manpage and inetd client
  * First upload to Unstable

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Nov 2007 01:36:36 +0100

apt-cacher-ng (0.0.10-1) experimental; urgency=low

  * New version with minor fixes and feature enhancements

 -- Eduard Bloch <blade@debian.org>  Fri, 09 Nov 2007 00:40:45 +0100

apt-cacher-ng (0.0.9-1) experimental; urgency=low

  * Initial release (Closes: #447514), going to experimental for first testing

 -- Eduard Bloch <blade@debian.org>  Thu, 01 Nov 2007 18:22:27 +0100

